# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Sant)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */  

#-----------------------------------------------------------------------------
ADD_DEFINITIONS(-DCREA_BUILD_SHARED)
SET(CREA_BUILT_WITH_WX ON)
SET(CREA_BUILT_WITH_WX ON)
SET(CREA_BUILT_WITH_VTK ON)
SET(CREA_CMAKE_REL_PATH cmake)
SET(CREA_CMAKE_DIR ${crea_DIR}/${CREA_CMAKE_REL_PATH})
#-----------------------------------------------------------------------------
SET(CREA_COMPILE_MESSAGES ON)
SET(CREA_COMPILE_DEBUG_MESSAGES OFF)
SET(CREA_COMPILE_WARNING_MESSAGES ON)
SET(CREA_COMPILE_ERROR_MESSAGES ON)
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
IF(CREA_VERBOSE_CMAKE)
  MESSAGE(STATUS "* CREA_BUILT_WITH_WX            = ${CREA_BUILT_WITH_WX}")
  MESSAGE(STATUS "* CREA_BUILT_WITH_VTK           = ${CREA_BUILT_WITH_VTK}")
  MESSAGE(STATUS "* CREA_CMAKE_DIR                = ${CREA_CMAKE_DIR}")
  MESSAGE(STATUS "* CREA_COMPILE_MESSAGES         = ${CREA_COMPILE_MESSAGES}")
  MESSAGE(STATUS "* CREA_COMPILE_WARNING_MESSAGES = ${CREA_COMPILE_WARNING_MESSAGES}")
  MESSAGE(STATUS "* CREA_COMPILE_ERROR_MESSAGES   = ${CREA_COMPILE_ERROR_MESSAGES}")
  MESSAGE(STATUS "* CREA_COMPILE_DEBUG_MESSAGES   = ${CREA_COMPILE_DEBUG_MESSAGES}")
ENDIF(CREA_VERBOSE_CMAKE)
#-----------------------------------------------------------------------------

# If crea was compiled with WxWidget or vtk then have to find them
#IF(CREA_BUILT_WITH_WX OR CREA_BUILT_WITH_VTK)
#  INCLUDE(${CREA_CMAKE_DIR}/CREAMacro_Define.cmake)
#ENDIF(CREA_BUILT_WITH_WX OR CREA_BUILT_WITH_VTK)
#IF(CREA_BUILT_WITH_WX)
#  IF(NOT wxWidgets_FOUND)
#    MESSAGE(STATUS "=======================================")
#    MESSAGE(STATUS "crea was built with wxWidgets: have to find it...")
#    INCLUDE(${CREA_CMAKE_DIR}/CREAMacro_FindAndUseWxWidgets.cmake)
#    CREA_FIND_AND_USE_WXWIDGETS()
#  ENDIF(NOT wxWidgets_FOUND)
#ENDIF(CREA_BUILT_WITH_WX)
#IF(CREA_BUILT_WITH_VTK)
#  IF (NOT VTK_FOUND)
#    MESSAGE(STATUS "=======================================")
#    MESSAGE(STATUS "crea was built with VTK: have to find it...")
#    INCLUDE(${CREA_CMAKE_DIR}/CREAMacro_FindAndUseVTK.cmake)
#    CREA_FIND_AND_USE_VTK()
#  ENDIF (NOT VTK_FOUND)
#ENDIF(CREA_BUILT_WITH_VTK)


